> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cope.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an order



## OpenAPI

````yaml /api-reference/commerce-v1.openapi.json get /v1/commerce/orders/{id}
openapi: 3.0.3
info:
  description: >-
    Public REST API for COPE vendor integrations. Authenticate with a COPE API
    key or Clerk bearer token and call the endpoints described below.
  title: COPE Public API
  version: v1
servers:
  - description: Production
    url: https://api.cope.com
security:
  - cope_sk: []
paths:
  /v1/commerce/orders/{id}:
    get:
      tags:
        - Orders
      summary: Retrieve an order
      operationId: retrieveCommerceOrder
      parameters:
        - description: id public identifier.
          example: ord_A1b2C3d4E5f6G7h8
          in: path
          name: id
          required: true
          schema:
            example: ord_A1b2C3d4E5f6G7h8
            pattern: ^ord_[A-Za-z0-9]{16}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  data:
                    additionalProperties: false
                    properties:
                      buyer:
                        additionalProperties: false
                        properties:
                          email:
                            nullable: true
                            type: string
                          first_name:
                            nullable: true
                            type: string
                          full_name:
                            nullable: true
                            type: string
                          last_name:
                            nullable: true
                            type: string
                        required:
                          - email
                          - first_name
                          - last_name
                          - full_name
                        type: object
                      created_at:
                        type: string
                      currency:
                        type: string
                      id:
                        example: ord_A1b2C3d4E5f6G7h8
                        pattern: ^ord_[A-Za-z0-9]{16}$
                        type: string
                      line_items:
                        items:
                          additionalProperties: false
                          properties:
                            currency:
                              type: string
                            next_payment_at:
                              nullable: true
                              type: string
                            payment_plan:
                              additionalProperties: false
                              properties:
                                display_name:
                                  nullable: true
                                  type: string
                                interval:
                                  nullable: true
                                  type: string
                                interval_count:
                                  nullable: true
                                  type: integer
                                plan_type:
                                  type: string
                              required:
                                - display_name
                                - plan_type
                                - interval
                                - interval_count
                              type: object
                            payments_made:
                              type: integer
                            plan_type:
                              type: string
                            product:
                              additionalProperties: false
                              nullable: true
                              properties:
                                id:
                                  example: prd_A1b2C3d4E5f6G7h8
                                  pattern: ^prd_[A-Za-z0-9]{16}$
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - name
                              type: object
                            quantity:
                              type: integer
                            status:
                              type: string
                            total_gross_price:
                              type: integer
                          required:
                            - status
                            - plan_type
                            - quantity
                            - currency
                            - product
                            - payment_plan
                            - total_gross_price
                            - payments_made
                            - next_payment_at
                          type: object
                        type: array
                      payments:
                        items:
                          additionalProperties: false
                          properties:
                            amount_cents:
                              type: integer
                            cash_flow_at:
                              nullable: true
                              type: string
                            currency:
                              type: string
                            id:
                              example: pay_A1b2C3d4E5f6G7h8
                              pattern: ^pay_[A-Za-z0-9]{16}$
                              type: string
                            payment_type:
                              type: string
                            status:
                              type: string
                          required:
                            - id
                            - status
                            - payment_type
                            - amount_cents
                            - currency
                            - cash_flow_at
                          type: object
                        type: array
                      source:
                        type: string
                      state:
                        type: string
                    required:
                      - id
                      - state
                      - currency
                      - source
                      - created_at
                      - buyer
                      - line_items
                      - payments
                    type: object
                required:
                  - data
                type: object
          description: Successful response
        '400':
          content:
            application/problem+json:
              examples:
                invalid_request:
                  summary: Invalid request
                  value:
                    code: invalid_request
                    detail: null
                    errors:
                      - code: missing
                        detail: 'param is missing or the value is empty: product_id'
                        param: product_id
                    request_id: req_123
                    status: 400
                    title: Invalid Request
                    type: https://docs.cope.com/errors/invalid_request
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Invalid request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Missing or invalid bearer token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Bearer token is not authorized for this route
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Resource not found
      security:
        - cope_sk: []
components:
  schemas:
    PublicProblemDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          nullable: true
          type: string
        errors:
          items:
            additionalProperties: false
            properties:
              code:
                type: string
              detail:
                type: string
              param:
                type: string
            required:
              - code
              - detail
            type: object
          type: array
        request_id:
          type: string
        status:
          type: integer
        title:
          type: string
        type:
          type: string
      required:
        - type
        - title
        - status
        - code
        - request_id
      type: object
  securitySchemes:
    cope_sk:
      description: >-
        Bearer credential for the public API. Vendor integrations should send a
        live COPE API key (`cope_sk_live_*`). Clerk bearer tokens are also
        accepted when paired with `X-Cope-Business-Id`.
      scheme: bearer
      type: http

````